<?php
defined('_JEXEC') or die('Restricted access');
?>
<div class="col100">
    <div><strong>ДелоБанк v<?php echo _JSHOP_DELOBANK_VERSION ?></strong></div>
    <fieldset class="adminform">
        <table class="admintable">
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX ?>merch_id"><?php echo _JSHOP_DELOBANK_MERCH_ID_LABEL ?> <span class="jshop_red">*</span>
                </td>
                <td>
                    <input type="text" class="inputbox" name="pm_params[merch_id]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>merch_id" size="45" value="<?php echo $params['merch_id']?>" placeholder="<?php echo _JSHOP_DELOBANK_MERCH_ID_PLACEHOLDER;?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_MERCH_ID_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>purchase_account_amount_id"><?php echo _JSHOP_DELOBANK_PURCHASE_ACCOUNT_AMOUNT_ID_LABEL;?> <span class="jshop_red">*</span>
                </td>
                <td>
                    <input type="text" class="inputbox" name="pm_params[purchase_account_amount_id]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>purchase_account_amount_id" size="45" value="<?php echo $params['purchase_account_amount_id']?>" placeholder="<?php echo _JSHOP_DELOBANK_PURCHASE_ACCOUNT_AMOUNT_ID_PLACEHOLDER ?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_PURCHASE_ACCOUNT_AMOUNT_ID_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>back_url_s"><?php echo _JSHOP_DELOBANK_BACK_URL_S_LABEL;?> <span class="jshop_red">*</span>
                </td>
                <td>
                    <input type="text" class="inputbox" name="pm_params[back_url_s]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>back_url_s" size="45" value="<?php echo $params['back_url_s']?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_BACK_URL_S_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>back_url_f"><?php echo _JSHOP_DELOBANK_BACK_URL_F_LABEL;?> <span class="jshop_red">*</span>
                </td>
                <td>
                    <input type="text" class="inputbox" name="pm_params[back_url_f]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>back_url_f" size="45" value="<?php echo $params['back_url_f']?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_BACK_URL_F_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>url"><?php echo _JSHOP_DELOBANK_URL_LABEL;?> <span class="jshop_red">*</span>
                </td>
                <td>
                    <input type="text" class="inputbox" name="pm_params[url]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>url" size="45" value="<?php echo $params['url']?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_URL_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>lang"><?php echo _JSHOP_DELOBANK_LANG_LABEL;?>
                </td>
                <td>
                    <select id="<?php echo _JSHOP_DELOBANK_PREFIX;?>lang" name="pm_params[lang]" class="inputbox">
                        <?php foreach ($optionsLang as $keyLang => $valueLang) {
                            echo '<option value="' . $keyLang . '"' . ($params['lang'] == $keyLang ? ' selected="selected"' : '') . '>' . $valueLang . '</option>';
                        } ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>currency"><?php echo _JSHOP_DELOBANK_CURRENCY_LABEL;?>
                </td>
                <td>
                    <select id="<?php echo _JSHOP_DELOBANK_PREFIX;?>currency" name="pm_params[currency]" class="inputbox">
                        <option value="<?php echo $optionsCurrency ?>"<?php echo ($params['currency'] == $optionsCurrency ? ' selected="selected"' : '') ?>><?php echo $optionsCurrency ?></option>
                    </select>
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_CURRENCY_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>transaction_end_status"><?php echo _JSHOP_DELOBANK_ORDER_STATUS_AFTER_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_end_status]', 'class = "inputbox" size = "1"', 'status_id', 'name', $params['transaction_end_status']); ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>transaction_failed_status"><?php echo _JSHOP_DELOBANK_ORDER_STATUS_FAILED_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_failed_status]', 'class = "inputbox" size = "1"', 'status_id', 'name', $params['transaction_failed_status']); ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX ?>check_signature"><?php echo _JSHOP_DELOBANK_CHECK_SIGNATURE_LABEL ?>
                </td>
                <td>
                    <input type="checkbox" name="pm_params[check_signature]" id="<?php echo _JSHOP_DELOBANK_PREFIX ?>check_signature" value="1"<?php echo (!empty($params['check_signature']) ? ' checked="checked"' : '')?>" />
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_CHECK_SIGNATURE_LABEL_HINT) ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>info"><?php echo _JSHOP_DELOBANK_INFO_LABEL;?>
                </td>
                <td>
                    <textarea name="pm_params[info]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>info" rows="10"><?php echo $params['info'] ?></textarea>
                    <?php echo JHTML::tooltip(_JSHOP_DELOBANK_INFO_LABEL_HINT);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="<?php echo _JSHOP_DELOBANK_PREFIX;?>payment_page"><?php echo _JSHOP_DELOBANK_PAYMENT_PAGE_LABEL;?>
                </td>
                <td>
                    <input type="checkbox" name="pm_params[payment_page]" id="<?php echo _JSHOP_DELOBANK_PREFIX;?>payment_page" value="1"<?php echo (!empty($params['payment_page']) ? ' checked="checked"' : '')?>" />
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<script>
    function delobankHighlightErrorField(elementId) {
        if (!elementId) {
            return 0;
        }
        var element = document.getElementById(elementId);
        if (element) {
            element.setAttribute('style', 'color:#843534; border-color:red;');
            element.onfocus = function() {
                this.setAttribute('style', '');
            };
            return 1;
        }
        return 0;
    }
    Joomla.submitbutton = function(task) {
        if ('save' === task || 'apply' === task) {
            var sendForm = true;
            var errors = [];
            var requiredFields = {
                "name_ru-RU" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_TITLE . ' (ru)') ?>",
                "name_en-GB" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_TITLE . ' (en)') ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>merch_id" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_DELOBANK_MERCH_ID_LABEL) ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>purchase_account_amount_id" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_DELOBANK_PURCHASE_ACCOUNT_AMOUNT_ID_LABEL) ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>back_url_s" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_DELOBANK_BACK_URL_S_LABEL) ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>back_url_f" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_DELOBANK_BACK_URL_F_LABEL) ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>url" : "<?php printf(_JSHOP_DELOBANK_REQUIRED_ERROR, _JSHOP_DELOBANK_URL_LABEL) ?>",
            };
            for (var field in requiredFields) {
                var value = $F_(field);
                if (!value) {
                    errors.push(requiredFields[field]);
                    window.delobankHighlightErrorField(field);
                    sendForm = false;
                }
            }
            // Проверяем стартовый url
            value = $F_('<?php echo _JSHOP_DELOBANK_PREFIX ?>url');
            if ((value !== 'https://mpi.skbbank.ru/payment/start.wsm') && (value !== 'https://testmpi.myskb.ru/payment/start.wsm')) {
                errors.push('<?php echo _JSHOP_DELOBANK_URL_DELO_ERROR ?>');
                window.delobankHighlightErrorField(field);
                sendForm = false;
            }
            // Проверяем длину PCID-а
            var pcidFields = {
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>merch_id" : "<?php printf(_JSHOP_DELOBANK_PCID_VALIDATE_LENGTH_ERROR, _JSHOP_DELOBANK_MERCH_ID_LABEL) ?>",
                "<?php echo _JSHOP_DELOBANK_PREFIX ?>purchase_account_amount_id" : "<?php printf(_JSHOP_DELOBANK_PCID_VALIDATE_LENGTH_ERROR, _JSHOP_DELOBANK_PURCHASE_ACCOUNT_AMOUNT_ID_LABEL) ?>",
            };
            for (field in pcidFields) {
                value = $F_(field);
                if (value.length !== 32) {
                    errors.push(pcidFields[field]);
                    window.delobankHighlightErrorField(field);
                    sendForm = false;
                }
            }
            if (!sendForm) {
                Joomla.renderMessages({"error":errors});
                return 0;
            }
        }
        Joomla.submitform(task);
    };
</script>
<div class="clr"></div>